Error Report

read
Error Code: 
4
Error Message: 
Operation details
Installable Units Reported: 
org.codehaus.groovy.eclipse.feature.feature.group,2.9.2.xx-201801081821-e42-RELEASE
Detailed Message: 
Cannot complete the install because of a conflicting dependency. Software being installed: Groovy-Eclipse Feature 2.9.2.xx-201801081821-e42-RELEASE (org.codehaus.groovy.eclipse.feature.feature.group 2.9.2.xx-201801081821-e42-RELEASE) Software currently installed: IBM Software Delivery Platform 2017.3.15.204407 (IBM Software Delivery Platform com.ibm.sdp.eclipse.ide 2017.3.15.204407) Only one of the following can be installed at once: Java Development Tools Core 3.8.4.xx-201801081821-e42-RELEASE (org.eclipse.jdt.core 3.8.4.xx-201801081821-e42-RELEASE) Java Development Tools Core 3.10.0.v20140604-1726 (org.eclipse.jdt.core 3.10.0.v20140604-1726) Java Development Tools Core 3.8.4.v20140417-1504 (org.eclipse.jdt.core 3.8.4.v20140417-1504) Cannot satisfy dependency: From: IBM Software Delivery Platform 2017.3.15.204407 (IBM Software Delivery Platform com.ibm.sdp.eclipse.ide 2017.3.15.204407) To: org.eclipse.jdt.R422patch.feature.group [1.0.7] Cannot satisfy dependency: From: IBM Software Delivery Platform 2017.3.15.204407 (IBM Software Delivery Platform com.ibm.sdp.eclipse.ide 2017.3.15.204407) To: org.eclipse.jdt.feature.group [3.8.2.v20130116-090414-8-8nFu3FNOfwKLRuqgXKIy9z0I83] Cannot satisfy dependency: From: Groovy-Eclipse Compilerless Feature 2.9.2.xx-201801081821-e42-RELEASE (org.codehaus.groovy.compilerless.feature.feature.group 2.9.2.xx-201801081821-e42-RELEASE) To: org.codehaus.groovy.headless.feature.feature.group [2.9.2.xx-201801081821-e42-RELEASE] Cannot satisfy dependency: From: Groovy-Eclipse Feature 2.9.2.xx-201801081821-e42-RELEASE (org.codehaus.groovy.eclipse.feature.feature.group 2.9.2.xx-201801081821-e42-RELEASE) To: org.codehaus.groovy.compilerless.feature.feature.group [2.9.2.xx-201801081821-e42-RELEASE] Cannot satisfy dependency: From: Groovy-Eclipse Headless Feature 2.9.2.xx-201801081821-e42-RELEASE (org.codehaus.groovy.headless.feature.feature.group 2.9.2.xx-201801081821-e42-RELEASE) To: org.codehaus.groovy.jdt.patch.feature.group [2.9.2.xx-201801081821-e42-RELEASE] Cannot satisfy dependency: From Patch: org.codehaus.groovy.jdt.patch.feature.group 2.9.2.xx-201801081821-e42-RELEASE Eclipse Java Development Tools 3.8.2.v20130116-090414-8-8nFu3FNOfwKLRuqgXKIy9z0I83 (org.eclipse.jdt.feature.group 3.8.2.v20130116-090414-8-8nFu3FNOfwKLRuqgXKIy9z0I83) To: org.eclipse.jdt.core [3.8.4.xx-201801081821-e42-RELEASE] Cannot satisfy dependency: From Patch: org.eclipse.jdt.R422patch.feature.group 1.0.7 Eclipse Java Development Tools 3.8.2.v20130116-090414-8-8nFu3FNOfwKLRuqgXKIy9z0I83 (org.eclipse.jdt.feature.group 3.8.2.v20130116-090414-8-8nFu3FNOfwKLRuqgXKIy9z0I83) To: org.eclipse.jdt.core [3.8.4.v20140417-1504]